USERDEL(8) | System Manager's Manual | USERDEL(8)

# NAME

`userdel` —
remove a user from the system

# SYNOPSIS

`userdel` | `-D` [`-p` preserve-value]

`userdel` | [`-rSv`] [`-p` preserve-value] user

# DESCRIPTION

The `userdel` utility removes a user from the system, optionally removing that user's home directory and any subdirectories.

Default values are taken from the information provided in the /etc/usermgmt.conf file, which, if running as root, is created using the built-in defaults if it does not exist.

The first form of the command shown above (using the `-D` option) sets and displays the defaults for the `userdel` utility.

See user(8) for more information about `EXTENSIONS`.

`-D`
  Without any further options, `-D` will show the current defaults which will be used by the `userdel` utility. Together with one of the options shown for the first version of the command, `-D` will set the default to be the new value. This option is included if built with `EXTENSIONS`.
`-p` preserve-value
  Set the preservation value. If this value is one of ‘`true`’, ‘`yes`’, or a non-zero number, then the user login information will be preserved. This option is included if built with `EXTENSIONS`.

In the second form of the command, after setting any defaults, and then reading values from /etc/usermgmt.conf, the following command line options are processed:

`-p` preserve-value
  Preserve the user information in the password file, but do not allow the user to login, by switching the password to an “impossible” one, and by setting the user's shell to the nologin(8) program. This option can be helpful in preserving a user's files for later use by members of that person's group after the user has moved on. This value can also be set in the /etc/usermgmt.conf file, using the ‘`preserve`’ field. If the field has any of the values ‘`true`’, ‘`yes`’, or a non-zero number, then user information preservation will take place. This option is included if built with `EXTENSIONS`.
`-r`
  Remove the user's home directory, any subdirectories, and any files and other entries in them.
`-S`
  Allow a samba user name (with a trailing dollar sign) to be deleted. This option is included if built with `EXTENSIONS`.
`-v`
  Perform any actions in a verbose manner. This option is included if built with `EXTENSIONS`.

Once the information has been verified, `userdel` uses pwd_mkdb(8) to update the user database. This is run in the background, and, at very large sites could take several minutes. Until this update is completed, the password file is unavailable for other updates and the new information is not available to programs.

# FILES

/etc/usermgmt.conf

# EXIT STATUS

The `userdel` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

passwd(5), usermgmt.conf(5), group(8), nologin(8), pwd_mkdb(8), user(8), useradd(8)

# HISTORY

The `userdel` utility first appeared in NetBSD 1.5. It is based on the addnerd package by the same author.

# AUTHORS

The `userdel` utility was written by Alistair G. Crooks ⟨agc@NetBSD.org⟩.

November 16, 2005 | NetBSD 9.0